Package ch.qos.logback.classic.pattern

# Class LoggerConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
ch.qos.logback.classic.pattern.ClassicConverter
ch.qos.logback.classic.pattern.NamedConverter
ch.qos.logback.classic.pattern.LoggerConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class LoggerConverter extends NamedConverter

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`LoggerConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getFullyQualifiedName(ILoggingEvent event)`
Gets fully qualified name from event.

### Methods inherited from class ch.qos.logback.classic.pattern.NamedConverter

`convert, start`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerConverter

public LoggerConverter()

## Method Details

### getFullyQualifiedName

protected String getFullyQualifiedName(ILoggingEvent event)
Description copied from class: `NamedConverter`
Gets fully qualified name from event.

Specified by:
  `getFullyQualifiedName` in class `NamedConverter`
Parameters:
  `event` - The LoggingEvent to process, cannot not be null.
Returns:
  name, must not be null.